Subject: Re: PMTU issues due to TOS field manipulation (for DSCP)

From: Andi Kleen <[email-masked]>
Date: Wed, 10 Dec 2003 20:34:33 +0100

On Wed, 10 Dec 2003 10:23:15 -0800 (PST)
"Kevin W. Rudd" <[email-masked]> wrote:

> Thoughts?  Comments?

I don't think the network users will be very happy if you require changing all
end hosts this way. How about the following hack? For DF=1 packets
the ipid field is useless. When you rewrite the TOS to DSCP save
the old TOS in the ipid field.  When you see an ICMP fragment required
message with the right DSCP on the router restore the old TOS from the ipid 
field.

One drawback is that there are a few VJ header compression servers that
require changing ipid. But you can still handle these by not overwriting
all bits of ipid so that it still changes (keep a few changing bits)

-Andi